/*
 * Copyright (c) 1996, 2002 Sandro Sigala.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "gamewidget.h"

#ifdef WIN32
#include <windows.h>
#include <mmsystem.h>
void GameWidget::playSound(Sound snd)
{
	if (!engine.sounds)
		return;

	/* TODO (#2#): This interface is too much simple: the sounds cannot
	               mix together. */
	/* TODO (#5#): Add musics */
	switch (snd) {
	case Sound_Died:
		sndPlaySound("wav/died.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Got_Diamond:
		sndPlaySound("wav/diamond.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Got_Crown:
		sndPlaySound("wav/crown.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Cage_Spirit:
		sndPlaySound("wav/cage.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Got_Key:
		sndPlaySound("wav/key.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Got_Time:
		sndPlaySound("wav/time.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Transport:
		sndPlaySound("wav/transport.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Killed_Monster:
		sndPlaySound("wav/monster.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	case Sound_Broken_Egg:
		sndPlaySound("wav/egg.wav", SND_ASYNC|SND_NODEFAULT);
		break;
	}
}
#else
void GameWidget::playSound(Sound snd)
{
	/* TODO (#2#): Implement using the SDL library */
}
#endif

